summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 22:54:33 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:33 +0200
commit0c831de9ab188d920dac0ba1e18dc5901c636978 (patch)
tree0682ae361b29cf20ba7433cfa038b1341ab0cce0 /multimedia
parent92d95273889f90cf5d05bc60c593b12f18c64261 (diff)
downloadslackbuilds-0c831de9ab188d920dac0ba1e18dc5901c636978.tar.gz
slackbuilds-0c831de9ab188d920dac0ba1e18dc5901c636978.tar.xz
multimedia/gpodder: Added to 12.1 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gpodder/README18
-rw-r--r--multimedia/gpodder/doinst.sh6
-rw-r--r--multimedia/gpodder/gpodder.SlackBuild65
-rw-r--r--multimedia/gpodder/gpodder.info8
-rw-r--r--multimedia/gpodder/slack-desc19
5 files changed, 116 insertions, 0 deletions
diff --git a/multimedia/gpodder/README b/multimedia/gpodder/README
new file mode 100644
index 0000000000..18ec9f474a
--- /dev/null
+++ b/multimedia/gpodder/README
@@ -0,0 +1,18 @@
+gPodder is a GTK2 media aggregator
+
+gPodder is a podcast receiver/catcher written in Python utilizing PyGTK for
+its user interface. gPodder allows the user to subscribe to RSS feeds for
+podcasts, videocasts, and other similar content and download media files
+found in those feeds. gPodder has system-tray notifications, support for
+optional iPod synchronization, and MP3/Ogg id3 tag editing.
+
+This application requires python and vorbis-tools, part of the
+standard Slackware installation. It also requires intltool,
+xdg-utils, feedparser, help2man, sqlite, and pysqlite2 all of which
+can be found here at SlackBuilds.org. One can also enable optional
+id3 tagging and MP3-OGG conversion features by installing eyeD3,
+id3lib, and lame, all of which can also be found here at
+SlackBuilds.org. Finally, some of the other features in gPodder, such
+as iPod synchronization, bittorrent downloading, and Bluetooth
+file-sharing are currently disabled pending future SlackBuilds for
+those components.
diff --git a/multimedia/gpodder/doinst.sh b/multimedia/gpodder/doinst.sh
new file mode 100644
index 0000000000..d09159e772
--- /dev/null
+++ b/multimedia/gpodder/doinst.sh
@@ -0,0 +1,6 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
+if [ -x /usr/bin/update-mime-database ]; then
+ ./usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/multimedia/gpodder/gpodder.SlackBuild b/multimedia/gpodder/gpodder.SlackBuild
new file mode 100644
index 0000000000..cad2933d9d
--- /dev/null
+++ b/multimedia/gpodder/gpodder.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for gPodder
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+PRGNAM=gpodder
+VERSION=0.13.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README COPYING PKG-INFO INSTALL"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/man/man1/* $PKG/usr/man/man1/
+rm -rf $PKG/usr/share/man/
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gpodder/gpodder.info b/multimedia/gpodder/gpodder.info
new file mode 100644
index 0000000000..9c445462f2
--- /dev/null
+++ b/multimedia/gpodder/gpodder.info
@@ -0,0 +1,8 @@
+PRGNAM="gpodder"
+VERSION="0.13.1"
+HOMEPAGE="http://gpodder.berlios.de"
+DOWNLOAD="http://download.berlios.de/gpodder/gpodder-0.13.1.tar.gz"
+MD5SUM="868b42a369cdbc5f94e75b095b240dd3"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="dsomero"
diff --git a/multimedia/gpodder/slack-desc b/multimedia/gpodder/slack-desc
new file mode 100644
index 0000000000..3221299b2f
--- /dev/null
+++ b/multimedia/gpodder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpodder: gPodder (GTK2 media aggregator)
+gpodder:
+gpodder: gPodder is a podcast receiver/catcher written in
+gpodder: Python utilizing PyGTK for its user interface.
+gpodder: gPodder allows the user to subscribe to RSS feeds
+gpodder: for podcasts, videocasts, and other similar content
+gpodder: and download media files found in those feeds.
+gpodder: gPodder has system-tray notifications, support for
+gpodder: optional iPod synchronization, and MP3/Ogg id3 tag
+gpodder: editing.
+gpodder: Homepage: http://gpodder.berlios.de